CREATE TRIGGER IF NOT EXISTS "main"."Players_I" 
	AFTER INSERT ON "Players"
BEGIN
	UPDATE Players SET
		Pos = '1', Role = 'GOALTENDER', ShortRole = 'G'
		WHERE ps = 'G' OR ps = 'g' OR ps = 'В' OR ps = 'в';
	UPDATE Players SET
		Pos = '2', Role = 'DEFENSEMAN', ShortRole = 'D'
		WHERE ps = 'D' OR ps = 'd' OR ps = 'З' OR ps = 'з';
	UPDATE Players SET
		Pos = '3', Role = 'FORWARD', ShortRole = 'F'
		WHERE ps = 'F' OR ps = 'f' OR ps = 'Н' OR ps = 'н';
END;

CREATE TRIGGER IF NOT EXISTS "main"."Players_U" 
	AFTER UPDATE ON "Players"
BEGIN
	UPDATE Players SET 
		PG_sum = CAST(PlayerGames AS INTEGER) + CAST(_pig AS INTEGER),
		G_sum = CAST(PlayerGoals AS INTEGER) + CAST(_goals AS INTEGER), 
		A_sum = CAST(PlayerAssists AS INTEGER) + CAST(_assists AS INTEGER),
		PIM_sum = CAST(PlayerPenalty AS INTEGER) + CAST(_pim AS INTEGER),
		Pts_sum = CAST(PlayerGoals AS INTEGER) + CAST(_goals AS INTEGER) + CAST(PlayerAssists AS INTEGER) + CAST(_assists AS INTEGER)
		WHERE _json= '1';
END;